/*
 * Class WEL_TBM_CONSTANTS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_284 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_284 [] = {0xFF01,1551,283,0xFFFF};
static const EIF_TYPE_INDEX egt_2_284 [] = {0xFF01,283,0xFFFF};
static const EIF_TYPE_INDEX egt_3_284 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_284 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_284 [] = {0xFF01,283,0xFFFF};
static const EIF_TYPE_INDEX egt_6_284 [] = {0xFF01,283,0xFFFF};
static const EIF_TYPE_INDEX egt_7_284 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_284 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_284 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_284 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_284 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_284 [] = {0xFF01,283,0xFFFF};


static const struct desc_info desc_284[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_284), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_284), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_284), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_284), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_284), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_284), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_284), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_284), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_284), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_284), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_284), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_284), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0237 /*283*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_284), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5403, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5404, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5405, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5406, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5407, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5408, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5409, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5410, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5411, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5412, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5413, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5414, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5415, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5416, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5417, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5418, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5419, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5420, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5421, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5422, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5423, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5424, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 5425, 0xFFFFFFFF},
};
void Init284(void)
{
	IDSC(desc_284, 0, 283);
	IDSC(desc_284 + 1, 1, 283);
	IDSC(desc_284 + 32, 388, 283);
}


#ifdef __cplusplus
}
#endif
